Index: lemon/bfs.h
===================================================================
--- lemon/bfs.h	(revision 301)
+++ lemon/bfs.h	(revision 329)
@@ -52,5 +52,5 @@
     ///Instantiates a PredMap.
 
-    ///This function instantiates a PredMap.
+    ///This function instantiates a PredMap.  
     ///\param g is the digraph, to which we would like to define the
     ///PredMap.
@@ -81,6 +81,5 @@
     ///The type of the map that indicates which nodes are reached.
 
-    ///The type of the map that indicates which nodes are reached.
-    ///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
+    ///The type of the map that indicates which nodes are reached.///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
     typedef typename Digraph::template NodeMap<bool> ReachedMap;
     ///Instantiates a ReachedMap.
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 313)
+++ lemon/list_graph.h	(revision 329)
@@ -841,6 +841,6 @@
 
     public:
-      operator Edge() const { 
-        return id != -1 ? edgeFromId(id / 2) : INVALID; 
+      operator Edge() const {
+        return id != -1 ? edgeFromId(id / 2) : INVALID;
       }
 
Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 313)
+++ lemon/smart_graph.h	(revision 329)
@@ -465,6 +465,6 @@
 
     public:
-      operator Edge() const { 
-        return _id != -1 ? edgeFromId(_id / 2) : INVALID; 
+      operator Edge() const {
+        return _id != -1 ? edgeFromId(_id / 2) : INVALID;
       }
 
Index: scripts/unify-sources.sh
===================================================================
--- scripts/unify-sources.sh	(revision 325)
+++ scripts/unify-sources.sh	(revision 331)
@@ -89,5 +89,8 @@
     if ! diff -q $1 $2 >/dev/null
     then
-	echo -n " [$3 failed]"
+	echo
+	echo -n "      $3 failed at line(s): "
+	echo -n $(diff $1 $2 | grep '^[0-9]' | sed "s/^\(.*\)c.*$/ \1/g" | 
+	          sed "s/,/-/g" | paste -s -d',')
 	FAILED=YES
     fi
@@ -95,5 +98,13 @@
 
 function check_warning() {
-    echo -n " [$2 warning]"
+    echo
+    if [ "$2" == 'long lines' ]
+    then
+        echo -n "      $2 warning at line(s): "
+        echo -n $(grep -n -E '.{81,}' $1 | sed "s/^\([0-9]*\)/ \1\t/g" | 
+                  cut -f 1 | paste -s -d',')
+    else
+        echo -n "      $2 warning"
+    fi
     WARNED=YES
 }
@@ -213,5 +224,5 @@
     cat $1 | sed -e 's/ \+$//g' >$TMP_FILE
 
-    "$ACTION"_action "$TMP_FILE" "$1" 'spaces'
+    "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces'
 }
 
@@ -226,5 +237,5 @@
 
 function process_file() {
-    echo -n "    $ACTION " $1...
+    echo -n "    $ACTION $1..."
 
     CHECKING="header tabs spaces long_lines"
@@ -266,5 +277,5 @@
      Make all warnings into errors.
   --all|-a
-     All files in the repository will be checked.
+     Check all source files in the repository.
   --modified|-m
      Check only the modified (and new) source files. This option is
@@ -282,34 +293,34 @@
      Print this help message.
   files
-     The files to check/unify. If no file names are given, the
-     modified source will be checked/unified
-
+     The files to check/unify. If no file names are given, the modified
+     source files will be checked/unified (just like using the
+     --modified|-m option).
 "
         exit 0
     elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ]
     then
-	[ -n "$ACTION" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1
 	ACTION=check
     elif [ "$1" == "--all" ] || [ "$1" == '-a' ]
     then
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
 	FILES=all_files
     elif [ "$1" == "--changed" ] || [ "$1" == '-c' ]
     then
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
 	FILES=changed_files
     elif [ "$1" == "--modified" ] || [ "$1" == '-m' ]
     then
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
 	FILES=modified_files
     elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ]
     then
-	[ -n "$WARNING" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
 	WARNING='INTERACTIVE'
     elif [ "$1" == "--werror" ] || [ "$1" == "-w" ]
     then
-	[ -n "$WARNING" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
 	WARNING='WERROR'
-    elif [ $(echo $1 | cut -c 1) == '-' ]
+    elif [ $(echo x$1 | cut -c 2) == '-' ]
     then
 	echo "Invalid option $1" >&2 && exit 1
